=== debian/changelog ===
python-pyodata (1.11.2-1) unstable; urgency=medium

  * Initial release (Closes: #1111855).

 -- Luca Falavigna <dktrkranz@debian.org>  Sun, 24 Aug 2025 09:59:29 +0200
