=== debian/control ===
Source: python-pyodata
Section: python
Priority: optional
Maintainer: Luca Falavigna <dktrkranz@debian.org>
Uploaders: Debian Python Team <team+python@tracker.debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               python3-all,
               python3-setuptools,
               python3-responses,
               python3-lxml,
               python3-pytest
Homepage: https://github.com/SAP/python-pyodata
Standards-Version: 4.7.2
Rules-Requires-Root: no
Vcs-Git: https://salsa.debian.org/python-team/packages/python-pyodata.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-pyodata

Package: python3-pyodata
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Description: Enterprise-ready Python OData client
 Python OData client which provides comfortable Python agnostic way for
 communication with OData services.
 .
 This package provides the module for Python 3.
