=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=pyodata

%:
	dh $@ --with python3 --buildsystem=pybuild

execute_before_dh_auto_test:
	cp tests/*.xml .pybuild/cpython*_pyodata/build/tests/
	cp tests/enormous_batch_response .pybuild/cpython*_pyodata/build/tests/
