=== debian/tests/control ===
Tests: python3-smoketest
Depends: python3-pyodata,
         python3-requests
