=== debian/watch ===
version=4
https://github.com/SAP/python-pyodata/tags .*/v?(\d.*)@ARCHIVE_EXT@
